/****************************************************************************
 *  
 * Project: Olimex AVR ISP with MKII protocol support.
 *
 * Copyright by Olimex Ltd. All rights reserved.
 * 
 * File: usbscsi_conf.h
 * Description: USB SCSI Configuration
 * Developer: Dimitar Dimitrov ( dinuxbg __on__ gmail.com )
 *
 * Last change: $Date: 2007-12-10 17:46:47 +0200 (понеделник, 10 Декември 2007) $
 * Revision: $Revision: 82 $
 * Id: $Id: usbscsi_conf.h 82 2007-12-10 15:46:47Z dimitar $
 *
 ****************************************************************************/

#ifndef USBSCSI_CONF_H
#define USBSCSI_CONF_H

//#include "board.h"
#include "msp430_mmc.h"

//extern uint32_t mmc_disk_size;

//#define sbclu_format_unit()		dataflash_chip_erase()
#define sbclu_format_unit()		

#define sbclu_block_length()		512UL
//#define sbclu_last_lba()		(mmc_disk_size/sbclu_block_length()-1)
#define sbclu_last_lba()		0x400000
//#define sbclu_last_lba()		0x400

#define SBCLU_BLOCK_READ_API 		0

#if SBCLU_BLOCK_READ_API
  #define sbclu_mem2buf(LBA)		mmc_notimplemented()
  #define sbclu_rbuf(dst,nbytes,offset)	mmc_notimplemented()
#else 
  #define sbclu_contread_start(LBA)	mmc_contread_start(LBA)
  #define sbclu_contread_fetch()	mmc_contread_fetch()
  #define sbclu_contread_stop()		mmc_contread_stop()
#endif

#define sbclu_wbuf(src,nbytes,offset)	mmc_notimplemented()
#define sbclu_buf2mem(LBA)		mmc_notimplemented()
#define sbclu_wbuf(src,nbytes,offset)	mmc_notimplemented()
#define sbclu_buf2mem(LBA)		mmc_notimplemented()

#define SBC_READBACK_VERIFY		0

#endif /* USBSCSI_CONF_H */
